import 'package:domain/entity/facility_page_entity.dart';
import 'package:widgets/load_state_layout.dart';

class FacilityDepositState {

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  String? totalDeposit;  //总金额

  List<FacilityPageList> datas; //页面列表数据

  // ===================================  Begin  ↓  ===================================

  FacilityDepositState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    this.totalDeposit,
    required this.datas,
  });

  FacilityDepositState copyWith({
    LoadState? loadingState,
    String? errorMessage,
    bool? needShowPlaceholder,
    List<FacilityPageList>? datas,
    String? totalDeposit,
  }) {
    return FacilityDepositState(
      errorMessage: errorMessage ?? this.errorMessage,
      loadingState: loadingState ?? this.loadingState,
      datas: datas ?? this.datas,
      totalDeposit: totalDeposit ?? this.totalDeposit,
    );
  }
}
